RK-J - Task #3075

Feature # 3024 (Closed): extension 0.92.20 & 0.93: Enable OpenAl answers

Feature # 3062 (Closed): Extension v0.93 requirements

EXT-0.93: Add a new Ul for searching in the ChatGPT.

06/20/2023 11:18 AM - Ayush Khandelwal

Status: Closed Start date: 06/20/2023
Priority: Urgent Due date: 06/23/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 1.50 hour
Target version: 1-RK-J-1 Spent time: 5.00 hours
Description

After the implementation #3073, do the next step.

1. If user clicks on 'yes' button, show the "Type phrase e.g. nested list & Press enter". Same like the one we have when video is
processed. However, replace 'magnifying glass icon' with chatgpt icon. (Video Processed URL:
https://www.youtube.com/watch?v=k9TUPpGqYTo&list=PL-0siE80TeTskrapNbzXhwoFUiLCjGgY7&index=2)

If user search for a term in the search and press the enter button, then make the getOpenAlanswer api call to our server with the

search term and show the response.

Under the answer response, show the above "Type phrase ... Press enter".

getOpenAlanswer APl Endpoints:

URL: http://edutestga.appspot.com/admin/content/api/vl/answer

Method: "POST"
Request Body: (application/json)
"searchTerm": "Once upon a time"

}

{

History

#1 - 06/20/2023 12:16 PM - Ayanava Karmakar

- Status changed from New to In Progress

#2 - 06/20/2023 12:53 PM - Ayanava Karmakar
- % Done changed from 0 to 10

#3 - 06/21/2023 05:22 AM - Ayanava Karmakar
- % Done changed from 10 to 50

#4 - 06/21/2023 05:44 AM - Ayanava Karmakar
- % Done changed from 50 to 60

#5 - 06/21/2023 06:32 AM - Ayanava Karmakar
- % Done changed from 60 to 80

#6 - 06/21/2023 07:42 AM - Ayanava Karmakar
- % Done changed from 80 to 90

#7 - 06/21/2023 09:54 AM - Ayanava Karmakar
- % Done changed from 90 to 100

#8 - 06/21/2023 12:13 PM - Ayanava Karmakar

- Status changed from In Progress to Resolved
https://971073.fuegjy.asia/issues/3073
https://www.youtube.com/watch?v=k9TUPpGqYTo&list=PL-osiE80TeTskrapNbzXhwoFUiLCjGgY7&index=2

#9 - 06/22/2023 12:03 PM - Ayush Khandelwal
- Parent task changed from #3072 to #3062

#10 - 06/22/2023 12:04 PM - Ayush Khandelwal
- Subject changed from EXT-0.92.20: Add a new Ul for searching in the ChatGPT. to EXT-0.93: Add a new Ul for searching in the ChatGPT.

#11 - 06/22/2023 12:57 PM - Ayanava Karmakar

- Status changed from Resolved to Review

#12 - 06/23/2023 07:16 AM - Ayanava Karmakar

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

#13 - 06/26/2023 07:08 AM - Ayanava Karmakar

Review point: Avoid loop call for input box

#14 - 06/26/2023 07:16 AM - Ayanava Karmakar
- Status changed from Review to Reopened

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

#15 - 06/26/2023 09:18 AM - Ayanava Karmakar
- Status changed from Reopened to In Progress

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

#16 - 07/03/2023 10:32 AM - Ayush Khandelwal

- Status changed from In Progress to Resolved

#17 - 07/06/2023 05:37 AM - Ayush Khandelwal

- Status changed from Resolved to Closed

Working as expected

03/13/2025 22


http://www.tcpdf.org

